"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Collapser = void 0;
const evangelist_elements_icon_1 = require("@teambit/evangelist.elements.icon");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const design_ui_tooltip_1 = require("@teambit/design.ui.tooltip");
const collapser_button_module_scss_1 = __importDefault(require("./collapser-button.module.scss"));
function Collapser(_a) {
    var { isOpen, tooltipContent, placement = 'right', onClick, className } = _a, rest = __rest(_a, ["isOpen", "tooltipContent", "placement", "onClick", "className"]);
    return (react_1.default.createElement(design_ui_tooltip_1.Tooltip, { content: tooltipContent },
        react_1.default.createElement("div", Object.assign({}, rest, { onClick: onClick, className: (0, classnames_1.default)(collapser_button_module_scss_1.default.collapser, collapser_button_module_scss_1.default[placement], isOpen && collapser_button_module_scss_1.default.open, className) }),
            react_1.default.createElement("div", { className: collapser_button_module_scss_1.default.circle },
                react_1.default.createElement("div", null,
                    react_1.default.createElement(evangelist_elements_icon_1.Icon, { of: "double-right-big" }))))));
}
exports.Collapser = Collapser;
//# sourceMappingURL=collapser-button.js.map